petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecCreateSeq

Creates a standard, sequential array-style vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateSeq(MPI_Comm comm,PetscInt n,Vec *v)

Collective on MPI_Comm

### Input Parameter

| comm | - the communicator, should be PETSC_COMM_SELF
| n | - the vector length

### Output Parameter

V -the vector

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### See Also

VecCreateMPI(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost()

### Level

intermediate

### Location

src/vec/vec/impls/seq/vseqcr.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex4f.F.html
src/vec/vec/examples/tutorials/ex4f90.F90.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/dm/examples/tutorials/ex2.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex1.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages